#I
"""
Si on ne veut que les id, on a une jointure à deux tables:

SELECT historique.pid FROM
historique
JOIN
(SELECT * FROM rando WHERE diff=4 OR diff=5)AS t2
ON historique.rid=t2.rid

Si on veut tous les renseignements, il faut une jointure à trois tables 

SELECT participant.* FROM
historique
JOIN
participant
JOIN
(SELECT * FROM rando WHERE diff=4 OR diff=5)AS t2
ON historique.rid=t2.rid AND participant.pid=historique.pid
"""

def deniveles(L):
    d_pos=0
    d_neg=0
    for i in range(1,len(L)): #on commence par le 2ème point
        if L[i]>L[i-1]: #denivele positif
            d_pos+=L[i]-L[i-1]
        elif L[i]<L[i-1]:
            d_neg+=L[i-1]-L[i]
            
    return (d_pos,d_neg)
  
#on aurait pu écrire cette version, en considérant que 0 contribue à 0 au dénivelé positif par ex
def deniveles(L):
    d_pos=0
    d_neg=0
    for i in range(1,len(L)): #on commence par le 2ème point
        if L[i]>=L[i-1]: #denivele positif
            d_pos+=L[i]-L[i-1]
        else:
            d_neg+=L[i-1]-L[i]
            
    return (d_pos,d_neg)
  